*This do file cleans livestock.dta further for analysis.
*Check if filepaths have been established using init.do
if "${gsdData}"=="" {
	display as error "Please run init.do first."
	error 1
}
use "${gsdData}/1-CleanInput/livestock.dta", clear

*Identify and replace outliers
*Tabulate livestock quantities
tabstat *_n , by(ea) stat(n min q p95 p99 max) column(stat) long

*remove all values above 10,000 for any animal
foreach v of varlist *_n {
	replace `v'=. if `v'>=10000 & !missing(`v')
}
*check impact of cleaning
tabstat *_n , by(ea) stat(n min q p95 p99 max) column(stat) long
save "${gsdData}/1-CleanOutput/livestock.dta", replace
