* Find optimal threshold for each poverty line
local plines = "19 125 31"
foreach i of local plines {
	use "${gsdData}/1-CleanTemp/hhq.dta", clear
	*Add imputed total consumption aggregates as well as poverty line
	merge m:1 region ea migr_idp hh using "${gsdData}/1-CleanTemp/hhq-poverty.dta", keep(match) assert(master match) keepusing(pline*PPP tc_imp poor*PPP_prob ) nogenerate
	*For temporary purposes: 
	*rename 1.9 line for the loop
	rename (poorPPP_prob plinePPP) (poor19PPP_prob pline19PPP)
	keep weight hhsize tc_imp pline*PPP poor*PPP_prob
	*calculate differences in means between different stratas:
	forval n = 30/90 {
		gen poor`i'_`n' = poor`i'PPP_prob>.`n' if !missing(tc_imp) 
		quietly mean poor`i'_`n' poor`i'PPP_prob [pweight=weight*hhsize]
		gen diff_`n' = _b[poor`i'PPP_prob] - _b[poor`i'_`n'] 
	}
	*collapse and reshape into long format to more easily calculate difference
	collapse poor`i'PPP_prob poor`i'_?? [aw=weight*hhsize]
	reshape long poor`i'_  , i(poor`i'PPP_prob) j(threshold)
	*replace by absolute value to get rid of negatives
	gen diff=poor`i'PPP_prob -poor`i'_
	replace diff=abs(diff)
	*take the mean of the differences and keep the smallest value
	egen minimum=min(diff)
	*egen minimum_mean=min(minimum_combined)
	keep if diff == minimum
	*with two thresholds of the same value take the lower one (doesn't make much of a difference)
	duplicates drop minimum, force
	global threshold`i'=threshold
	di ${threshold`i'}
}
*optimal thresholds
display "1.9 PPP =" ${threshold19}
display "1.25 PPP =" ${threshold125}
display "3.1 PPP =" ${threshold31}

