*This do file performs IDP context analysis
set matsize 10000

use  "${gsdData}/1-CleanOutput/hhq.dta", clear
merge 1:1 region ea migr_idp hh using "${gsdData}/1-CleanTemp/hh_hhm.dta", assert(master match using) keep(match) nogen

numlabel, remove force

*For preliminary results without sampling weights for host communities:

*Set survey data
svyset ea [pw=weight], strata(migr_idp)
/*
*Cleaning - This will go into 0-hh.do
replace I_2_disp_reason = 10 if strpos(I_2_disp_reason_spec,"transition") > 0
replace I_2_disp_reason = 10 if strpos(I_2_disp_reason_spec,"Transition") > 0
replace I_2_disp_reason = 10 if strpos(I_2_disp_reason_spec,"Europe") > 0
replace I_2_disp_reason = 10 if strpos(I_2_disp_reason_spec,"USA") > 0
replace I_2_disp_reason = 10 if strpos(I_2_disp_reason_spec,"England") > 0
replace I_2_disp_reason = 10 if strpos(I_2_disp_reason_spec,"countr") > 0
replace I_2_disp_reason = 10 if strpos(I_2_disp_reason_spec,"abroad") > 0
replace I_2_disp_reason = 10 if strpos(I_2_disp_reason_spec,"America") > 0
replace I_2_disp_reason = 10 if strpos(I_2_disp_reason_spec,"transaction") > 0
replace I_2_disp_reason = 9 if I_2_disp_reason_spec != "N/A" & I_2_disp_reason == 1000
label define disp_reason 9 "Family reasons", modify
label define disp_reason 10 "Migration to another country", add
*/
gen x1= 1 if I_1_4_disp_reason__1==1
gen x2= 1 if I_1_4_disp_reason__1==2
gen x3= 1 if I_1_4_disp_reason__1==3

forval i= 2/10 {
 replace x1= `i' if I_1_4_disp_reason__`i'==1
 replace x2= `i' if I_1_4_disp_reason__`i'==2
 replace x3= `i' if I_1_4_disp_reason__`i'==3
}
recode x1 (1 2 = 1 "Armed conflict") (3= 2 "Communal clashes") (4=3 "Increased crime violence") (5=4 "Discrimination") (6=5 "Drought/famine") (7 8 = 6 "Lack of access to assets/services") (9=7 "Lack of access to employment") (10=8 "Family reasons") (11=9 "IDP relocation program"), gen(disp_reason_1)
recode x2 (1 2 = 1 "Armed conflict") (3= 2 "Communal clashes") (4=3 "Increased crime violence") (5=4 "Discrimination") (6=5 "Drought/famine") (7 8 = 6 "Lack of access to assets/services") (9=7 "Lack of access to employment") (10=8 "Family reasons") (11=9 "IDP relocation program"), gen(disp_reason_2)
recode x3 (1 2 = 1 "Armed conflict") (3= 2 "Communal clashes") (4=3 "Increased crime violence") (5=4 "Discrimination") (6=5 "Drought/famine") (7 8 = 6 "Lack of access to assets/services") (9=7 "Lack of access to employment") (10=8 "Family reasons") (11=9 "IDP relocation program"), gen(disp_reason_3)

drop x1 x2 x3 

gen x1= 1 if I_1_8_disp_arrive_r__1==1
gen x2= 1 if I_1_8_disp_arrive_r__1==2
gen x3= 1 if I_1_8_disp_arrive_r__1==3

forval i= 2/7 {
 replace x1= `i' if I_1_8_disp_arrive_r__`i'==1
 replace x2= `i' if I_1_8_disp_arrive_r__`i'==2
 replace x3= `i' if I_1_8_disp_arrive_r__`i'==3
}
recode x1 (1 = 1 "Better security") (2 3=2 "Better access to assets/services") (4=3 "Better access to livelihood opportunities") (5 6=4 "Family reasons") (7=5 "Access to humanitarian aid"), gen(arrive_reason_1)
recode x2 (1 = 1 "Better security") (2 3=2 "Better access to assets/services") (4=3 "Better access to livelihood opportunities") (5 6=4 "Family reasons") (7=5 "Access to humanitarian aid"), gen(arrive_reason_2)
recode x3 (1 = 1 "Better security") (2 3=2 "Better access to assets/services") (4=3 "Better access to livelihood opportunities") (5 6=4 "Family reasons") (7=5 "Access to humanitarian aid"), gen(arrive_reason_3)

drop x1 x2 x3

gen x1= 1 if I_1_16_disp_shpay_who__1==1
gen x2= 1 if I_1_16_disp_shpay_who__1==2
gen x3= 1 if I_1_16_disp_shpay_who__1==3

forval i= 2/5 {
 replace x1= `i' if I_1_16_disp_shpay_who__`i'==1
 replace x2= `i' if I_1_16_disp_shpay_who__`i'==2
 replace x3= `i' if I_1_16_disp_shpay_who__`i'==3
}
recode x1 (1 = 1 "Government") (2 =2 "Military") (3=3 "Community organization") (4=4 "Tribal authorities") (5=5 "NGO/UN"), gen(shelterpay_who_1)
recode x2 (1 = 1 "Government") (2 =2 "Military") (3=3 "Community organization") (4=4 "Tribal authorities") (5=5 "NGO/UN"), gen(shelterpay_who_2)
recode x3 (1 = 1 "Government") (2 =2 "Military") (3=3 "Community organization") (4=4 "Tribal authorities") (5=5 "NGO/UN"), gen(shelterpay_who_3)

drop x1 x2 x3


label var I_1_4_disp_reason__1 "Armed conflict"
label var I_1_4_disp_reason__2 "Armed conflict"
label var I_1_4_disp_reason__3 "Communal clashes"
label var I_1_4_disp_reason__4 "Increased crime/violence"
label var I_1_4_disp_reason__5 "Discrimination"
label var I_1_4_disp_reason__6 "Drought/famine"
label var I_1_4_disp_reason__7 "Lack of access to assets/services"
label var I_1_4_disp_reason__8 "Lack of access to assets/services"
label var I_1_4_disp_reason__9 "Lack of access to employment"
label var I_1_4_disp_reason__10 "Family reason"
label var I_1_4_disp_reason__11 "IDP relocation program"

label var I_1_8_disp_arrive_r__1 "Better security"
label var I_1_8_disp_arrive_r__2 "Better access to assets/services"
label var I_1_8_disp_arrive_r__3 "Better access to assets/services"
label var I_1_8_disp_arrive_r__4 "Better access to livelihood opportunities"
label var I_1_8_disp_arrive_r__5 "Family reasons"
label var I_1_8_disp_arrive_r__6 "Family reasons"
label var I_1_8_disp_arrive_r__7 "Access to humanitarian aid"


/*
*Cleaning - This will go into 0-hh.do
replace I_6_disp_arrive_reason = 1 if strpos(I_6_disp_arrive_reason_spec,"security")>0
replace I_6_disp_arrive_reason = 1 if strpos(I_6_disp_arrive_reason_spec,"Safety")>0
replace I_6_disp_arrive_reason = 8 if strpos(I_6_disp_arrive_reason_spec,"ARRA")>0
replace I_6_disp_arrive_reason = 8 if strpos(I_6_disp_arrive_reason_spec,"UN")>0
replace I_6_disp_arrive_reason = 8 if strpos(I_6_disp_arrive_reason_spec,"choice")>0
replace I_6_disp_arrive_reason = 8 if strpos(I_6_disp_arrive_reason_spec,"choose")>0
replace I_6_disp_arrive_reason = 8 if strpos(I_6_disp_arrive_reason_spec,"Chios")>0
replace I_6_disp_arrive_reason = 9 if strpos(I_6_disp_arrive_reason_spec,"countr")>0
replace I_6_disp_arrive_reason = 9 if strpos(I_6_disp_arrive_reason_spec,"Europe")>0
replace I_6_disp_arrive_reason = 9 if strpos(I_6_disp_arrive_reason_spec,"America")>0
recode I_6_disp_arrive_reason (1 = 1 "Better Security") (7 =2 "Access to humanitarian aid") (2/3 = 3 "Better access to assets/services") (4 = 4 "Better access to livelihood opportunities") (5/6 = 5 "To join family/friends") (8=.) (9 = 6 "Migration to another country"), gen(disp_arrive_reason)
label var disp_arrive_reason "I.6 Why did you choose to stay in this place?"
*/
*Date since displacement by region:
qui tabout year region if migr_idp == 1 using "${gsdOutput}/Raw_Fig11.xls", svy percent c(col) sebnone f(4) h1("Date of Displacement") replace

*Reason for displacement from country:
qui tabout disp_reason_1 camp if migr_idp==1 using "${gsdOutput}/Raw_Fig11.xls", svy percent c(col) sebnone f(4) h1("Reason for Displacement") append
qui tabout disp_reason_2 camp if migr_idp==1 using "${gsdOutput}/Raw_Fig11.xls", svy percent c(col) sebnone f(4) h1("Reason for Displacement") append
qui tabout disp_reason_3 camp if migr_idp==1 using "${gsdOutput}/Raw_Fig11.xls", svy percent c(col) sebnone f(4) h1("Reason for Displacement") append
qui tabout disp_reason_1 returnee using "${gsdOutput}/Raw_Fig11.xls", svy percent c(col) sebnone f(4) h1("Reason for Displacement") append
qui tabout disp_reason_2 returnee using "${gsdOutput}/Raw_Fig11.xls", svy percent c(col) sebnone f(4) h1("Reason for Displacement") append
qui tabout disp_reason_3 returnee using "${gsdOutput}/Raw_Fig11.xls", svy percent c(col) sebnone f(4) h1("Reason for Displacement") append

*Times household changed residence since leaving origin country:
tabout disp_times region if migr_idp == 1 using "${gsdOutput}/Raw_Fig11.xls", svy percent c(col) sebnone f(4) h1("Times household changed residence") append
tabout disp_times camp if migr_idp == 1 using "${gsdOutput}/Raw_Fig11.xls", svy percent c(col) sebnone f(4) h1("Times household changed residence") append

*Reason for choosing to stay here:
qui tabout arrive_reason_1 region if camp==1 using "${gsdOutput}/Raw_Fig11.xls", append svy percent c(col ) f(3) sebnone h1("Reason for arriving here")
qui tabout arrive_reason_2 region if camp==1 using "${gsdOutput}/Raw_Fig11.xls", append svy percent c(col ) f(3) sebnone h1("Reason for arriving here")
qui tabout arrive_reason_3 region if camp==1 using "${gsdOutput}/Raw_Fig11.xls", append svy percent c(col ) f(3) sebnone h1("Reason for arriving here")
qui tabout arrive_reason_1 region if camp==0 using "${gsdOutput}/Raw_Fig11.xls", append svy percent c(col ) f(3) sebnone h1("Reason for arriving here")
qui tabout arrive_reason_2 region if camp==0 using "${gsdOutput}/Raw_Fig11.xls", append svy percent c(col ) f(3) sebnone h1("Reason for arriving here")
qui tabout arrive_reason_3 region if camp==0 using "${gsdOutput}/Raw_Fig11.xls", append svy percent c(col ) f(3) sebnone h1("Reason for arriving here")


*Displaced from:
qui tabout I_1_1_disp_from hhh_gender if returnee==0 using "${gsdOutput}/Raw_Fig11.xls", append svy percent c(col ) f(3) sebnone h1("Reason for arriving here")
qui tabout I_1_1_disp_from quintiles_tc if returnee==0 using "${gsdOutput}/Raw_Fig11.xls", append svy percent c(col ) f(3) sebnone h1("Reason for arriving here")
qui tabout I_1_1_disp_from region if returnee==0 using "${gsdOutput}/Raw_Fig11.xls", append svy percent c(col ) f(3) sebnone h1("Reason for arriving here")
qui tabout I_1_1_disp_from camp if migr_idp==1 using "${gsdOutput}/Raw_Fig11.xls", append svy percent c(col ) f(3) sebnone h1("Reason for arriving here")


*Date since displacement by camp or host:
qui tabout year camp if migr_idp == 1 using "${gsdOutput}/Raw_Fig11.xls", svy percent c(col) sebnone f(4) h1("Date of Displacement") append

*Paying for shelter:
*qui tabout I_1_15_disp_shelterpay region if migr_idp==1 using "${gsdOutput}/Raw_Fig11.xls", append svy percent c(col ) f(3) sebnone h1("Reason for arriving here")
*qui tabout I_1_15_disp_shelterpay quintiles_tc if migr_idp==1 using "${gsdOutput}/Raw_Fig11.xls", append svy percent c(col ) f(3) sebnone h1("Reason for arriving here")
*qui tabout I_1_15_disp_shelterpay camp if migr_idp==1 using "${gsdOutput}/Raw_Fig11.xls", append svy percent c(col ) f(3) sebnone h1("Reason for arriving here")
*qui tabout shelterpay_who_1 region if migr_idp==1 using "${gsdOutput}/Raw_Fig11.xls", append svy percent c(col ) f(3) sebnone h1("Reason for arriving here")
*qui tabout shelterpay_who_1 quintiles_tc if migr_idp==1 using "${gsdOutput}/Raw_Fig11.xls", append svy percent c(col ) f(3) sebnone h1("Reason for arriving here")
*qui tabout shelterpay_who_1 camp if migr_idp==1 using "${gsdOutput}/Raw_Fig11.xls", append svy percent c(col ) f(3) sebnone h1("Reason for arriving here")

*Return Intentions:
qui tabout I_2_1_move_want_yn hhh_gender using "${gsdOutput}/Raw_Fig13.xls" , svy percent c(col)  h1("Movement and Return Intentions") replace
qui tabout I_2_1_move_want_yn quintiles_tc using "${gsdOutput}/Raw_Fig13.xls" , svy percent c(col)  h1("Movement and Return Intentions") append
qui tabout I_2_1_move_want_yn region using "${gsdOutput}/Raw_Fig13.xls" , svy percent c(col)  h1("Movement and Return Intentions") append
qui tabout I_2_1_move_want_yn camp if migr_idp==1 using "${gsdOutput}/Raw_Fig13.xls" , svy percent c(col)  h1("Movement and Return Intentions") append

*Return Intentions:
qui tabout I_2_1_move_want hhh_gender using "${gsdOutput}/Raw_Fig13.xls" , svy percent c(col)  h1("Movement and Return Intentions") append
qui tabout I_2_1_move_want quintiles_tc using "${gsdOutput}/Raw_Fig13.xls" , svy percent c(col)  h1("Movement and Return Intentions") append
qui tabout I_2_1_move_want region using "${gsdOutput}/Raw_Fig13.xls" , svy percent c(col)  h1("Movement and Return Intentions") append
qui tabout I_2_1_move_want camp if migr_idp==1 using "${gsdOutput}/Raw_Fig13.xls" , svy percent c(col)  h1("Movement and Return Intentions") append

gen x1= 1 if I_3_6_inf_want__1==1
gen x2= 1 if I_3_6_inf_want__1==2
gen x3= 1 if I_3_6_inf_want__1==3

forval i= 2/11 {
 replace x1= `i' if I_3_6_inf_want__`i'==1
 replace x2= `i' if I_3_6_inf_want__`i'==2
 replace x3= `i' if I_3_6_inf_want__`i'==3
}
recode x1 (1 = 1 "Political situation") (2 3= 2 "Security") (4 5 =3 "Basic services") (6=4 "Livelihood opportunities") (7=5 "Land/property/housing") (8 = 6 "Transit routes") (9 10=7 "Help with returning") (11=8 "Recovering documents"), gen(inf_want_1)
recode x2 (1 = 1 "Political situation") (2 3= 2 "Security") (4 5 =3 "Basic services") (6=4 "Livelihood opportunities") (7=5 "Land/property/housing") (8 = 6 "Transit routes") (9 10=7 "Help with returning") (11=8 "Recovering documents"), gen(inf_want_2)
recode x3 (1 = 1 "Political situation") (2 3= 2 "Security") (4 5 =3 "Basic services") (6=4 "Livelihood opportunities") (7=5 "Land/property/housing") (8 = 6 "Transit routes") (9 10=7 "Help with returning") (11=8 "Recovering documents"), gen(inf_want_3)

drop x1 x2 x3

*Information wanted:
qui tabout inf_want_1 region using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Information")
qui tabout inf_want_2 region using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Information")
qui tabout inf_want_3 region using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Information")
qui tabout inf_want_1 camp if migr_idp==1 using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Information")
qui tabout inf_want_2 camp if migr_idp==1 using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Information")
qui tabout inf_want_3 camp if migr_idp==1 using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Information")
qui tabout inf_want_1 returnee using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Information")
qui tabout inf_want_2 returnee using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Information")
qui tabout inf_want_3 returnee using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Information")

*Returnee coming from:
qui tabout I_4_1_disp_from_r hhh_gender if returnee==1 using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Reason for arriving here")
qui tabout I_4_1_disp_from_r quintiles_tc if returnee==1 using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Reason for arriving here")
qui tabout I_4_1_disp_from_r region if returnee==1 using  "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Reason for arriving here")

gen x1= 1 if returnee_r__1==1
gen x2= 1 if returnee_r__1==2
gen x3= 1 if returnee_r__1==3

forval i= 2/4 {
 replace x1= `i' if returnee_r__`i'==1
 replace x2= `i' if returnee_r__`i'==2
 replace x3= `i' if returnee_r__`i'==3
}
recode x1 (1 = 1 "More affordable here") (2= 2 "House is damaged") (3 =3 "House is occupied") (4=4 "Unsafe to go back"), gen(returnee_r_1)
recode x2 (1 = 1 "More affordable here") (2= 2 "House is damaged") (3 =3 "House is occupied") (4=4 "Unsafe to go back"), gen(returnee_r_2)
recode x3 (1 = 1 "More affordable here") (2= 2 "House is damaged") (3 =3 "House is occupied") (4=4 "Unsafe to go back"), gen(returnee_r_3)

drop x1 x2 x3

*Reasons for not returning:
qui tabout returnee_r_1 camp if migr_idp==1 using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Return")

*Biggest obstacle for moving 
qui tabout I_2_12_obst_move camp if migr_idp==1 using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Return")
qui tabout I_2_12_obst_move returnee using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Return")

gen x1= 1 if I_2_7_move_no_push_main__1==1
gen x2= 1 if I_2_7_move_no_push_main__1==2
gen x3= 1 if I_2_7_move_no_push_main__1==3

forval i= 2/6 {
 replace x1= `i' if I_2_7_move_no_push_main__`i'==1
 replace x2= `i' if I_2_7_move_no_push_main__`i'==2
 replace x3= `i' if I_2_7_move_no_push_main__`i'==3
}
recode x1 (1 = 1 "Better security") (2= 2 "Better access to home/land") (3 =3 "Better access to services") (4=4 "Better access to livelihood") (5=5 "Family close by") (6=6 "Aid"), gen(move_no_push_1)
recode x2 (1 = 1 "Better security") (2= 2 "Better access to home/land") (3 =3 "Better access to services") (4=4 "Better access to livelihood") (5=5 "Family close by") (6=6 "Aid"), gen(move_no_push_2)
recode x3 (1 = 1 "Better security") (2= 2 "Better access to home/land") (3 =3 "Better access to services") (4=4 "Better access to livelihood") (5=5 "Family close by") (6=6 "Aid"), gen(move_no_push_3)

drop x1 x2 x3

qui tabout move_no_push_1 camp if migr_idp==1 using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Return")
qui tabout move_no_push_2 camp if migr_idp==1 using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Return")
qui tabout move_no_push_3 camp if migr_idp==1 using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Return")

gen x1= 1 if I_2_9_move_yes_push_main__1==1
gen x2= 1 if I_2_9_move_yes_push_main__1==2
gen x3= 1 if I_2_9_move_yes_push_main__1==3

forval i= 2/13 {
 replace x1= `i' if I_2_9_move_yes_push_main__`i'==1
 replace x2= `i' if I_2_9_move_yes_push_main__`i'==2
 replace x3= `i' if I_2_9_move_yes_push_main__`i'==3
}

recode x1 (1 2 = 1 "Armed conflict") (3= 2 "Communal clashes") (4 =3 "Increased crime") (5=4 "Discrimination") (6=5 "Drought/famine") (7 8 9 =6 "Lack of access to services and opportunities") (10=7 "Family reasons") (11=8 "Lack of aid") (12=9 "Crowded") (13=10 "Host community tensions"), gen(move_yes_push_1)
recode x2 (1 2 = 1 "Armed conflict") (3= 2 "Communal clashes") (4 =3 "Increased crime") (5=4 "Discrimination") (6=5 "Drought/famine") (7 8 9 =6 "Lack of access to services and opportunities") (10=7 "Family reasons") (11=8 "Lack of aid") (12=9 "Crowded") (13=10 "Host community tensions"), gen(move_yes_push_2)
recode x3 (1 2 = 1 "Armed conflict") (3= 2 "Communal clashes") (4 =3 "Increased crime") (5=4 "Discrimination") (6=5 "Drought/famine") (7 8 9 =6 "Lack of access to services and opportunities") (10=7 "Family reasons") (11=8 "Lack of aid") (12=9 "Crowded") (13=10 "Host community tensions"), gen(move_yes_push_3)

drop x1 x2 x3

qui tabout move_yes_push_1 camp if migr_idp==1 using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Return")
qui tabout move_yes_push_2 camp if migr_idp==1 using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Return")
qui tabout move_yes_push_3 camp if migr_idp==1 using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Return")

gen x1= 1 if I_2_13_move_help__1==1
gen x2= 1 if I_2_13_move_help__1==2
gen x3= 1 if I_2_13_move_help__1==3

forval i= 2/17 {
 replace x1= `i' if I_2_13_move_help__`i'==1
 replace x2= `i' if I_2_13_move_help__`i'==2
 replace x3= `i' if I_2_13_move_help__`i'==3
}

recode x1 (1 = 1 "Security") (2= 2 "Mine clearance") (3/5 =3 "Access to land/shelter") (6=4 "Agricultural tools") (7/9=5 "Livelihood development") (7 8 9 =6 "Lack of access to services and opportunities") (10/15=7 "Access to basic services") (16=8 "Reuniting with family") (17=9 "Renewal of documents"), gen(move_help_1)
recode x2 (1 = 1 "Security") (2= 2 "Mine clearance") (3/5 =3 "Access to land/shelter") (6=4 "Agricultural tools") (7/9=5 "Livelihood development") (7 8 9 =6 "Lack of access to services and opportunities") (10/15=7 "Access to basic services") (16=8 "Reuniting with family") (17=9 "Renewal of documents"), gen(move_help_2)
recode x3 (1 = 1 "Security") (2= 2 "Mine clearance") (3/5 =3 "Access to land/shelter") (6=4 "Agricultural tools") (7/9=5 "Livelihood development") (7 8 9 =6 "Lack of access to services and opportunities") (10/15=7 "Access to basic services") (16=8 "Reuniting with family") (17=9 "Renewal of documents"), gen(move_help_3)

drop x1 x2 x3

qui tabout move_help_1 camp if migr_idp==1 using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Return")
qui tabout move_help_2 camp if migr_idp==1 using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Return")
qui tabout move_help_3 camp if migr_idp==1 using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Return")

qui tabout I_3_1_inf_source camp if migr_idp==1 using "${gsdOutput}/Raw_Fig13.xls", append svy percent c(col ) f(3) sebnone h1("Information source")

use "${gsdData}/1-CleanTemp/hh_hhm.dta", clear
*Keep necessary variables:
keep region ea migr_idp hh weight hhh_gender
merge 1:1 region ea migr_idp hh using "${gsdData}/1-CleanInput/hh.dta", assert(match) keep(match) keepusing(region migr_idp camp) nogen
*set survey data
svyset ea [pw=weight] , strata(region)

*Share of female and male headed households across countries:
qui tabout hhh_gender migr_idp using "${gsdOutput}/Raw_Fig12.xls", svy percent c(col se) sebnone npos(col) f(1) h1("Gender of Household Head") replace
qui tabout hhh_gender region using "${gsdOutput}/Raw_Fig12.xls", svy percent c(col se) sebnone npos(col) f(1) h1("Gender of Household Head") append
qui tabout hhh_gender camp if migr_idp==1 using "${gsdOutput}/Raw_Fig12.xls", svy percent c(col se) sebnone npos(col) f(1) h1("Gender of Household Head") append

*Tests of significance
svy: mean hhh_gender, over(migr_idp)
lincom [hhh_gender]_subpop_1 - [hhh_gender]IDP //host women vs idp women
*Not significant

svy: mean hhh_gender if migr_idp==1, over(camp)
lincom [hhh_gender]Host - [hhh_gender]Camp //host women vs camp women
*Not significant

use "${gsdData}/1-CleanOutput/hhm.dta", clear
*Keep necessary variables:
merge m:1 region ea migr_idp hh using "${gsdData}/1-CleanInput/hh.dta", assert(match) keepusing(camp B_9_1_hhm_separated migr_idp I_1_*) nogen
*For temporary purposes: 
*set survey data
svyset ea [pw=weight] , strata(region)

*Table 2: Population Pyramid
qui tabout age_cat_g migr_idp using "${gsdOutput}/Raw_Fig12.xls" if B_2_1_hhm_gender == 1, svy percent c(col)  h1("Males by age") append
qui tabout age_cat_g migr_idp using "${gsdOutput}/Raw_Fig12.xls" if B_2_1_hhm_gender == 2, svy percent c(col)  h1("Females by age") append
qui tabout age_cat_g camp using "${gsdOutput}/Raw_Fig12.xls" if migr_idp==1 & B_2_1_hhm_gender == 1, svy percent c(col)  h1("Males by age") append
qui tabout age_cat_g camp using "${gsdOutput}/Raw_Fig12.xls" if migr_idp==1 & B_2_1_hhm_gender == 2, svy percent c(col)  h1("Females by age") append
qui tabout B_2_1_hhm_gender migr_idp using "${gsdOutput}/Raw_Fig12.xls", svy percent c(col)  h1("Gender by migr_idp Status") append
qui tabout B_2_1_hhm_gender region using "${gsdOutput}/Raw_Fig12.xls", svy percent c(col)  h1("Gender by country of nationality") append
qui tabout B_2_1_hhm_gender camp if migr_idp==1 using "${gsdOutput}/Raw_Fig12.xls", svy percent c(col)  h1("Gender by country of nationality") append

/*
*Tests of significance for overall gender balance:
svy: prop B_2_1_hhm_gender, over(region)
lincom [Male]_subpop_1 - [Female]_subpop_1
*Statistically significant (more women than men)
lincom [Male]Somalia - [Female]Somalia
*Statistically insignificant
lincom [Male]Eritrea - [Female]Eritrea
*Statistically significant (more men than women)
lincom [Male]Sudan - [Female]Sudan
*Statistically significant(more men than women)
*/
*Tests of significance:
gen age_cat_g_adult = (inrange(age_cat_g,6,13))
svy: prop B_2_1_hhm_gender, over(age_cat_g_adult)
lincom [Male]1 - [Female]1
*Not sigificant
gen age_cat_g_child = (inrange(age_cat_g,1,3))
svy: prop B_2_1_hhm_gender, over(age_cat_g_child)
lincom [Male]1 - [Female]1
*Not significant
svy: prop migr_idp, over(age_cat_g_child)
lincom [_prop_1]1-[IDP]1
*HC>IDP




*svy: prop B_2_1_hhm_gender, over(region)
*lincom [Male]Eritrea - [Female]Eritrea
recode B_1_1_hhm_age (0/14 = 1 "Children (0-14)") (15/24 = 2 "Youth (15-24)") (25/64 = 3 "Adults (25-64)") ( 65/150 = 4 "Elderly (>64)") ( 150/1000 = .), generate(age_g_new)
label var age_g_new "Age Category (4 groups)"
/*
*Difference in genders statistically significant
svy: prop B_2_1_hhm_gender if region == 4, over(age_g_new)
lincom [Male]_subpop_1 - [Female]_subpop_1
*Statistically significant
lincom [Male]_subpop_2 - [Female]_subpop_2
*Statistically significant
lincom [Male]_subpop_3 - [Female]_subpop_3
*Reject at 10%.

*Cleaning - This will go into 0-hh.do
replace I_2_disp_reason = 10 if strpos(I_2_disp_reason_spec,"transition") > 0
replace I_2_disp_reason = 10 if strpos(I_2_disp_reason_spec,"Transition") > 0
replace I_2_disp_reason = 10 if strpos(I_2_disp_reason_spec,"Europe") > 0
replace I_2_disp_reason = 10 if strpos(I_2_disp_reason_spec,"USA") > 0
replace I_2_disp_reason = 10 if strpos(I_2_disp_reason_spec,"England") > 0
replace I_2_disp_reason = 10 if strpos(I_2_disp_reason_spec,"countr") > 0
replace I_2_disp_reason = 10 if strpos(I_2_disp_reason_spec,"abroad") > 0
replace I_2_disp_reason = 10 if strpos(I_2_disp_reason_spec,"America") > 0
replace I_2_disp_reason = 10 if strpos(I_2_disp_reason_spec,"transaction") > 0
replace I_2_disp_reason = 9 if I_2_disp_reason_spec != "N/A" & I_2_disp_reason == 1000
label define disp_reason 9 "Family reasons", modify
label define disp_reason 10 "Migration to another country", add

recode I_2_disp_reason (1/2 = 1 "Armed conflict") (3 =2 "Increased crime/violence") (4 = 3 "Ethnic/political/religious discrimination/persecutions") (5 = 4 "Drought/famine/flood") (6/7 = 5 "Lack of access to assets/services") (8 = 6 "Lack of access to employment opportunities") (9 = 7 "Family reason") (10 = 8 "Migration to another country"), gen(disp_reason)
label var disp_reason "I.2 Why did your household leave your last place of permanent residence before displacement"
svy: prop B_2_1_hhm_gender if region == 4, over( I_2_disp_reason)

svy: prop B_2_1_hhm_gender if region == 5 & StrataID == 4, over(age_g_new)
lincom [Male]_subpop_1 - [Female]_subpop_1
*Statistically significant
lincom [Male]_subpop_2 - [Female]_subpop_2
*Statistically insignificant
lincom [Male]_subpop_3 - [Female]_subpop_3
*/
*Analysis:
use "${gsdData}/1-CleanInput/hh.dta", clear
gen pweight = weight*hhsize
svyset ea [pw=pweight], strata(region)
qui tabout B_9_1_hhm_separated region using "${gsdOutput}/Raw_Fig12.xls", svy percent c(col se) npos(col) f(1) h1("Percentage of population with separated household members") append
merge 1:m region ea migr_idp hh using "${gsdData}/1-CleanInput/hhm_separated.dta",  assert(master match) keep(master match) nogen 
svyset ea [pw=weight], strata(migr_idp)

*Cleaning a little that needs to go into Cleaning do files:
destring B_9_2_hhm_age_sep,replace
recode B_9_2_hhm_age_sep (0/14 = 1 "Children (0-14)") (15/24 = 2 "Youth (15-24)") (25/64 = 3 "Adults (25-64)") ( 65/150 = 4 "Elderly (>64)") ( 150/1000 = .), generate(age_g)
label var age_g "Age Category (4 groups)"

qui tabout age_g region using "${gsdOutput}/Raw_Fig12.xls" if B_9_3_hhm_gender_sep == 1, svy percent c(col se) npos(col) f(1) h1("Age of separated household members - Males - by country of nationality") append
qui tabout age_g region using "${gsdOutput}/Raw_Fig12.xls" if B_9_3_hhm_gender_sep == 2, svy percent c(col se) npos(col) f(1) h1("Age of separated household members - Females - by country of nationality") append
qui tabout B_9_3_hhm_gender_sep region using "${gsdOutput}/Raw_Fig12.xls", svy percent c(col se) npos(col) f(1) h1("Gender of separated household members by country of nationality") append
/*
svy: prop B_116_hhm_gender_sep if region == 1
lincom [B_116_hhm_gender_sep]Male - [B_116_hhm_gender_sep]Female
svy: prop B_116_hhm_gender_sep if region == 1, over(age_g)
lincom [Male]_subpop_1 - [Female]_subpop_1
*Statistically insignificant: Among children, there is no statistically significant difference between the percentage of men and women
lincom [Male]_subpop_2 - [Female]_subpop_2
*Statistically insignificant: Among youth, there is no statistically significant difference between the percentage of men and women
lincom [Male]_subpop_3 - [Female]_subpop_3
*Statistically significant: (p<0.05) Among adults, there is a statistically significant difference between the percentage of men and women. There are more adult men separated than adult women. (p<0.05)
lincom [Male]_subpop_4 - [Female]_subpop_4
*Statistically insignificant: Among elderly, there is no statistically significant difference between the percentage of men and women
svy: prop B_116_hhm_gender_sep if region == 5 &StrataID == 4
lincom [B_116_hhm_gender_sep]Male - [B_116_hhm_gender_sep]Female
*Statistically insignificant
svy: prop B_116_hhm_gender_sep if region == 5 &StrataID == 4, over(age_g)
lincom [Male]_subpop_1 - [Female]_subpop_1
*Statistically insignificant: Among children, there is no statistically significant difference between the percentage of men and women
lincom [Male]_subpop_2 - [Female]_subpop_2
*Statistically insignificant: Among youth, there is no statistically significant difference between the percentage of men and women
lincom [Male]_subpop_3 - [Female]_subpop_3
*Statistically significant: (p< 0.05) Among adults, there is a statistically significant difference between the percentage of men and women. There are more adult men separated than adult women. (p<0.05)
lincom [Male]_subpop_4 - [Female]_subpop_4
*Statistically insignificant: Among elderly, there is no statistically significant difference between the percentage of men and women


svy: prop B_9_3_hhm_gender_sep if region == 2, over(age_g)
lincom [Male]_subpop_3 - [Female]_subpop_3
svy: prop B_116_hhm_gender_sep if region == 4, over(age_g)
lincom [Male]_subpop_1 - [Female]_subpop_1
*Statistically significant: (o<0.05) There are more male children than women.
lincom [Male]_subpop_2 - [Female]_subpop_2
*Statistically insignificant. Among youth, there are no significant differences between the number of men and women.
lincom [Male]_subpop_3 - [Female]_subpop_3
*Statistically significant: (p<0.01)Among adults, there is a statistically significant difference between men and women. There are more women among separated then men.
svy: prop B_116_hhm_gender_sep if region == 5 &StrataID == 4, over(age_g)
lincom [Male]_subpop_3 - [Female]_subpop_3

*/
/*
qui tabout B_119_hhm_contact B_116_hhm_gender_sep  using "${gsdOutput}/Raw_Fig12.xls", svy percent c(col se) npos(col) f(1) h1("Gender of separated household members") append
qui tabout B_119_hhm_contact region using "${gsdOutput}/Raw_Fig12.xls", svy percent c(col se) npos(col) f(1) h1("Ability to contact household members") append
*/
*This do file performs security analysis

*qui tabout B_124_hhm_separated  using "${gsdOutput}/Raw_Fig19.xls", svy percent c(col se) npos(col) f(1) h1("Percentage of surveyed households with displaced households") append
*qui tabout B_124_hhm_separated quintiles using "${gsdOutput}/Raw_Fig19.xls", svy percent c(col se) npos(col) f(1) h1("Percentage of surveyed households with displaced households") append

*Cleaning that should go into 1-Clean files for hhm_sep.dta
*replace B_118_hhm_sep_reason = 4 if strpos(B_118_hhm_sep_reason_spec,"Kenya") | 
*replace B_118_hhm_sep_reason = 5 if strpos(B_118_hhm_sep_reason_spec,"origin") | strpos(B_118_hhm_sep_reason_spec,"returned") |strpos(B_118_hhm_sep_reason_spec,"go back")
*replace B_118_hhm_sep_reason = 3 if strpos(B_118_hhm_sep_reason_spec,"sick") | strpos(B_118_hhm_sep_reason_spec,"mother") | strpos(B_118_hhm_sep_reason_spec,"stayed")
replace B_9_5_hhm_sep_reason = . if B_9_5_hhm_sep_reason == 1000

qui tabout B_9_5_hhm_sep_reason B_9_3_hhm_gender_sep  using "${gsdOutput}/Raw_Fig12.xls" if migr_idp == 1 , svy percent c(col se) npos(col) f(1) h1("Reason for separation by Gender") append
qui tabout B_9_5_hhm_sep_reason region using "${gsdOutput}/Raw_Fig12.xls", svy percent c(col se) npos(col) f(1) h1("Reason for separation of household members - By country of origin") append
qui tabout B_9_5_hhm_sep_reason region using "${gsdOutput}/Raw_Fig12.xls" if B_9_3_hhm_gender_sep == 1, svy percent c(col se) npos(col) f(1) h1("Reason for separation of household members - Males - By country of origin") append
qui tabout B_9_5_hhm_sep_reason region using "${gsdOutput}/Raw_Fig12.xls" if B_9_3_hhm_gender_sep == 2, svy percent c(col se) npos(col) f(1) h1("Reason for separation of household members - Females - By country of origin") append

/*
qui tabout B_121_hhm_unite hhh_gender using "${gsdOutput}/Raw_Fig19.xls", svy percent c(col se) npos(col) f(1) h1("Percentage of households with access to family reunification services") append
*qui tabout B_121_hhm_unite quintiles using "${gsdOutput}/Raw_Fig19.xls", svy percent c(col se) npos(col) f(1) h1("Percentage of households with access to family reunification services") append
qui tabout B_121_hhm_unite region using "${gsdOutput}/Raw_Fig19.xls", svy percent c(col se) npos(col) f(1) h1("Percentage of households with access to family reunification services") append

*/
use "${gsdData}/1-CleanTemp/hh_hhm.dta", clear
merge 1:1 region ea migr_idp hh using "${gsdData}/1-CleanInput/hh.dta", assert(match) nogen
svyset ea [pw=weight], strata(region)
*Percentage of households with new household members
qui tabout joined region using "${gsdOutput}/Raw_Fig12.xls", svy percent c(col se) npos(col) f(1) h1("Percentage of households joined by new houseold members - By country of origin") append
merge 1:m region ea migr_idp hh using "${gsdData}/1-CleanOutput/hhm.dta", assert(match) nogen

recode B_1_1_hhm_age (0/14 = 1 "Children (0-14)") (15/24 = 2 "Youth (15-24)") (25/64 = 3 "Adults (25-64)") ( 65/150 = 4 "Elderly (>64)") ( 150/1000 = .), generate(age_g_new)
label var age_g_new "Age Category (4 groups)"
*Table : Population Pyramid for new household members
qui tabout age_g_new region using "${gsdOutput}/Raw_Fig12.xls" if B_2_1_hhm_gender == 1 & B_1_4_hhm_pre == 0, svy percent c(col)  h1("New household members - Males by age") append
qui tabout age_g_new region using "${gsdOutput}/Raw_Fig12.xls" if B_2_1_hhm_gender == 2 & B_1_4_hhm_pre == 0, svy percent c(col)  h1("New household members - Females by age") append
qui tabout B_2_1_hhm_gender region using "${gsdOutput}/Raw_Fig12.xls" if B_1_4_hhm_pre == 0 , svy percent c(col)  h1("Gender by country of nationality") append

use "${gsdData}/1-CleanTemp/hh_hhm.dta", clear
merge 1:1 region ea migr_idp hh using "${gsdData}/1-CleanInput/hh.dta", assert(match) nogen
*set survey data
svyset ea [pw=weight] , strata(region)
qui tabout migr_idp using "${gsdOutput}/Raw_Fig12.xls" , svy sum c(mean depend_share se)  h2("Dependency ratio by migr_idp Status") append
qui tabout hhh_gender if migr_idp==1 using "${gsdOutput}/Raw_Fig12.xls" , svy sum c(mean depend_share se)  h2("Dependency ratio by country of nationality") append
qui tabout camp if migr_idp==1 using "${gsdOutput}/Raw_Fig12.xls" , svy sum c(mean depend_share se)  h2("Dependency ratio by country of nationality") append

qui tabout migr_idp using "${gsdOutput}/Raw_Fig12.xls" , svy sum c(mean hhsize se)  h2("Household size by migr_idp status") append
qui tabout hhh_gender if migr_idp==1 using "${gsdOutput}/Raw_Fig12.xls" , svy sum c(mean hhsize se)  h2("Household size by country of nationality") append
qui tabout camp if migr_idp==1 using "${gsdOutput}/Raw_Fig12.xls" , svy sum c(mean hhsize se)  h2("Household size by country of nationality") append

svy: mean depend_share, over(migr_idp)
lincom [depend_share]_subpop_1 - [depend_share]IDP //host depend vs idp
*IDP>HC

svy: mean hhsize, over(migr_idp)
lincom [hhsize]_subpop_1 - [hhsize]IDP //host hhsize vs idp 
*HC>IDP


*Religion:
use "${gsdData}/1-CleanOutput/hhm.dta", clear

merge m:1 region ea migr_idp hh using "${gsdData}/1-CleanTemp/hh_hhm.dta", assert(match using) keep(match) keepusing(hhh_gender) nogen
merge m:1 region ea migr_idp hh using "${gsdData}/1-CleanOutput/hhq.dta",  nogen keepusing(camp tc_imp quintiles_tc *lhood C_3_1* C_3_9*)
svyset ea [pw=weight] , strata(region)

qui tabout B_2_11_religion migr_idp using "${gsdOutput}/Raw_Fig12.xls" , svy percent c(col se) npos(col) f(1) h1("Household size by migr_idp status") append
qui tabout B_2_11_religion region using "${gsdOutput}/Raw_Fig12.xls" , svy percent c(col se) npos(col) f(1) h1("Household size by country of nationality") append
qui tabout B_2_11_religion camp if migr_idp==1 using "${gsdOutput}/Raw_Fig12.xls" , svy percent c(col se) npos(col) f(1) h1("Household size by country of nationality") append
qui tabout B_2_11_religion quintiles_tc if migr_idp==1 using "${gsdOutput}/Raw_Fig12.xls" , svy percent c(col se) npos(col) f(1) h1("Household size by country of nationality") append

gen a = substr(B_2_12__ethnicity_spec,1,3)
replace B_2_12__ethnicity=9 if (a=="mar" | a=="Mar")
replace B_2_12__ethnicity=10 if (a=="kar" | a=="Kar" | a=="KAR")
replace B_2_12__ethnicity=11 if (a=="Bab" | a=="Bur" | a=="bab" | a=="bur")
replace B_2_12__ethnicity=12 if (a=="HIG" | a=="Hig" | a=="hig")
lab define ethn 1 "Hausa" 2 "Yoruba" 3 "Igbo" 4 "Ijaw" 5 "Kanuri" 6 "Fulani" 7 "Ibibio" 8 "Tiv" 9 "Marghi" 10 "Kare Kare" 11 "Babur" 12 "Higgi" 1000 "Other"
lab val B_2_12__ethnicity ethn

qui tabout B_2_12__ethnicity migr_idp using "${gsdOutput}/Raw_Fig12.xls" , svy percent c(col se) npos(col) f(1) h1("Household size by migr_idp status") append
qui tabout B_2_12__ethnicity region using "${gsdOutput}/Raw_Fig12.xls" , svy percent c(col se) npos(col) f(1) h1("Household size by country of nationality") append
qui tabout B_2_12__ethnicity camp if migr_idp==1 using "${gsdOutput}/Raw_Fig12.xls" , svy percent c(col se) npos(col) f(1) h1("Household size by country of nationality") append
qui tabout B_2_12__ethnicity quintiles_tc if migr_idp==1 using "${gsdOutput}/Raw_Fig12.xls" , svy percent c(col se) npos(col) f(1) h1("Household size by country of nationality") append

use "${gsdData}/1-CleanInput/hh.dta", clear
merge 1:m region ea migr_idp hh using "${gsdData}/1-CleanInput/hhm_separated.dta",  assert(master match) keep(master match) nogen 
merge m:m region ea migr_idp hh using "${gsdData}/1-CleanTemp/hh_hhm.dta",  assert(master match) keep(master match) nogen 
gen pweight = weight*hhsize
svyset ea [pw=pweight], strata(region)

qui tabout B_9_1_hhm_separated hhh_gender using "${gsdOutput}/Raw_Fig12.xls" if migr_idp == 1 , svy percent c(col se) npos(col) f(1) h1("Reason for separation by Gender") append
qui tabout B_9_4_hhm_relation_sep hhh_gender using "${gsdOutput}/Raw_Fig12.xls" if migr_idp == 1 , svy percent c(col se) npos(col) f(1) h1("Reason for separation by Gender") append
qui tabout B_9_5_hhm_sep_reason hhh_gender  using "${gsdOutput}/Raw_Fig12.xls" if migr_idp == 1 , svy percent c(col se) npos(col) f(1) h1("Reason for separation by Gender") append
qui tabout B_9_3_hhm_gender_sep hhh_gender  using "${gsdOutput}/Raw_Fig12.xls" if migr_idp == 1 , svy percent c(col se) npos(col) f(1) h1("Reason for separation by Gender") append


*Place raw data into the excel figures file
forvalues i = 11/13 {
	insheet using "${gsdOutput}/Raw_Fig`i'.xls", clear nonames
	export excel using "${gsdOutput}/Figures_NIG.xlsx", sheetreplace sheet("Raw_Fig`i'") 
	rm "${gsdOutput}/Raw_Fig`i'.xls"
}
