*This do file performs security analysis
use  "${gsdData}/1-CleanOutput/hhq.dta", clear
merge 1:1 region ea migr_idp hh using "${gsdData}/1-CleanTemp/hh_hhm.dta", assert(match using) keep(match) nogen
*Set survey data
svyset ea [pw=weight], strata(region)

*For preliminary results without sampling weights for host communities:
*replace weight = 1 if migr_idp == 0
*replace A_6_orig_c = 2 if A_6_orig_c == 3
*rename A_6_orig_c region

*Combined security measure
alpha H_4_1_safe_violence H_4_2_safe_walking_night H_4_3_safe_walking_day, asis item detail gen(safety)
replace safety = 2 if safety >1 & safety <=2
replace safety = 3 if safety >2 & safety <=3
replace safety = 4 if safety > 3 & safety <=4
replace safety = 5 if safety >4 & safety <= 5
label values safety safe_violence
label values H_4_11_conf_nonphys_harm__10 lyn

qui tabout safety hhh_gender if migr_idp == 1 using "${gsdOutput}/Raw_Fig16.xls", svy c(col lb ub) npos(col) replace h1("Safety") f(4) 
qui tabout safety quintiles if migr_idp == 1 using "${gsdOutput}/Raw_Fig16.xls", svy c(col lb ub) npos(col) append h1("Safety") f(4)
qui tabout safety region using "${gsdOutput}/Raw_Fig16.xls", svy c(col lb ub) npos(col) append h1("Safety") f(4)  
*qui tabout intremit_moreless p using "${gsdOutput}/Raw_Fig9.xls", svy c(col lb ub) npos(col) append h1("Remittance_change") f(4) 
qui tabout safety migr_idp using "${gsdOutput}/Raw_Fig16.xls", svy c(col lb ub) npos(col) append h1("Safety") f(4) 
qui tabout safety camp if migr_idp==1 using "${gsdOutput}/Raw_Fig16.xls", svy c(col lb ub) npos(col) append h1("Safety") f(4) 

qui tabout H_2_6_health_satisfaction migr_idp using "${gsdOutput}/Raw_Fig16.xls", svy c(col lb ub) npos(col) append h1("Safety") f(4) 
qui tabout H_2_6_health_satisfaction camp if migr_idp==1 using "${gsdOutput}/Raw_Fig16.xls", svy c(col lb ub) npos(col) append h1("Safety") f(4) 

qui tabout H_2_6_market_satisfaction migr_idp using "${gsdOutput}/Raw_Fig16.xls", svy c(col lb ub) npos(col) append h1("Safety") f(4) 
qui tabout H_2_6_market_satisfaction camp if migr_idp==1 using "${gsdOutput}/Raw_Fig16.xls", svy c(col lb ub) npos(col) append h1("Safety") f(4) 

qui tabout H_2_7_school_satisfaction migr_idp using "${gsdOutput}/Raw_Fig16.xls", svy c(col lb ub) npos(col) append h1("Safety") f(4) 
qui tabout H_2_7_school_satisfaction camp if migr_idp==1 using "${gsdOutput}/Raw_Fig16.xls", svy c(col lb ub) npos(col) append h1("Safety") f(4) 

*Experienced discrimination:
qui tabout H_4_11_conf_nonphys_harm__10 hhh_gender if migr_idp == 1 using "${gsdOutput}/Raw_Fig17.xls", svy c(col lb ub) npos(col) append h1("Experienced Discrimination") f(4) 
qui tabout H_4_11_conf_nonphys_harm__10 quintiles if migr_idp == 1 using "${gsdOutput}/Raw_Fig17.xls", svy c(col lb ub) npos(col) append h1("Experienced Discrimination") f(4)
qui tabout H_4_11_conf_nonphys_harm__10 region using "${gsdOutput}/Raw_Fig17.xls", svy c(col lb ub) npos(col) append h1("Experienced Discrimination") f(4)  
*qui tabout intremit_moreless p using "${gsdOutput}/Raw_Fig9.xls", svy c(col lb ub) npos(col) append h1("Remittance_change") f(4) 
qui tabout H_4_11_conf_nonphys_harm__10 migr_idp using "${gsdOutput}/Raw_Fig17.xls", svy c(col lb ub) npos(col) append h1("Experienced Discrimination") f(4) 
qui tabout H_4_11_conf_nonphys_harm__10 camp if migr_idp==1 using "${gsdOutput}/Raw_Fig17.xls", svy c(col lb ub) npos(col) append h1("Experienced Discrimination") f(4) 

*Host community sentiments:
qui tabout H_2_12_compare_neighbreelate hhh_gender using "${gsdOutput}/Raw_Fig17.xls", svy c(col lb ub) npos(col) append h1("Host Community Sentiments") f(4) 
qui tabout H_2_12_compare_neighbreelate quintiles using "${gsdOutput}/Raw_Fig17.xls", svy c(col lb ub) npos(col) append h1("Host Community Sentiments") f(4)
qui tabout H_2_12_compare_neighbreelate migr_idp using "${gsdOutput}/Raw_Fig17.xls", svy c(col lb ub) npos(col) append h1("Host Community Sentiments") f(4)
qui tabout H_2_12_compare_neighbreelate camp if migr_idp==1 using "${gsdOutput}/Raw_Fig17.xls", svy c(col lb ub) npos(col) append h1("Host Community Sentiments") f(4)
qui tabout H_2_13_compare_relate_disp if migr_idp==1 using "${gsdOutput}/Raw_Fig17.xls", svy c(col lb ub) npos(col) append h1("Host Community Sentiments") f(4)
*qui tabout intremit_moreless p using "${gsdOutput}/Raw_Fig9.xls", svy c(col lb ub) npos(col) append h1("Remittance_change") f(4) 
qui tabout H_2_13_compare_relate_disp camp if migr_idp==1 using "${gsdOutput}/Raw_Fig17.xls", svy c(col lb ub) npos(col) append h1("Host Community Sentiments") f(4)

*Host community sentiments:
qui tabout H_2_14_idp_relations hhh_gender using "${gsdOutput}/Raw_Fig17.xls", svy c(col lb ub) npos(col) append h1("Host Community Sentiments") f(4) 
qui tabout H_2_14_idp_relations quintiles  using "${gsdOutput}/Raw_Fig17.xls", svy c(col lb ub) npos(col) append h1("Host Community Sentiments") f(4)
qui tabout H_2_14_idp_relations migr_idp  using "${gsdOutput}/Raw_Fig17.xls", svy c(col lb ub) npos(col) append h1("Host Community Sentiments") f(4)
qui tabout H_2_14_idp_relations camp if migr_idp==1  using "${gsdOutput}/Raw_Fig17.xls", svy c(col lb ub) npos(col) append h1("Host Community Sentiments") f(4)

*Host community sentiments:
qui tabout H_2_17_idp_relations2 hhh_gender if migr_idp==0 using "${gsdOutput}/Raw_Fig17.xls", svy c(col lb ub) npos(col) append h1("Host Community Sentiments") f(4) 
qui tabout H_2_17_idp_relations2 quintiles if migr_idp==0 using "${gsdOutput}/Raw_Fig17.xls", svy c(col lb ub) npos(col) append h1("Host Community Sentiments") f(4)

qui tabout H_2_15_idp_support hhh_gender if migr_idp==0 using "${gsdOutput}/Raw_Fig17.xls", svy c(col lb ub) npos(col) append h1("Host Community Sentiments") f(4) 
qui tabout H_2_15_idp_support quintiles if migr_idp==0 using "${gsdOutput}/Raw_Fig17.xls", svy c(col lb ub) npos(col) append h1("Host Community Sentiments") f(4)
qui tabout H_2_15_idp_support migr_idp using "${gsdOutput}/Raw_Fig17.xls", svy c(col lb ub) npos(col) append h1("Host Community Sentiments") f(4)
qui tabout H_2_15_idp_support camp if migr_idp==1 using "${gsdOutput}/Raw_Fig17.xls", svy c(col lb ub) npos(col) append h1("Host Community Sentiments") f(4)

*Recode C_73_social_net
recode C_4_22_social_net (0 = 0 "Never") (1/2 = 1 "1 to 4 times") (3/7 = 2 "5 or more times"), gen(social_net)
recode C_4_20_social_net_leader (0 = 0 "Never") (1/2 = 1 "1 to 4 times") (3/7 = 2 "5 or more times") (8 = 4 "I am a community leader") , gen(social_net_leader)

qui tabout social_net hhh_gender if migr_idp == 1 using "${gsdOutput}/Raw_Fig18.xls", svy c(col lb ub) npos(col) replace h1("Participation in Public Affairs") f(4) 
qui tabout social_net quintiles if migr_idp == 1 using "${gsdOutput}/Raw_Fig18.xls", svy c(col lb ub) npos(col) append h1("Participation in Public Affairs") f(4)
qui tabout social_net region using "${gsdOutput}/Raw_Fig18.xls", svy c(col lb ub) npos(col) append h1("Participation in Public Affairs") f(4)  
*qui tabout intremit_moreless p using "${gsdOutput}/Raw_Fig9.xls", svy c(col lb ub) npos(col) append h1("Remittance_change") f(4) 
qui tabout social_net migr_idp using "${gsdOutput}/Raw_Fig18.xls", svy c(col lb ub) npos(col) append h1("Participation in Public Affairs") f(4) 
qui tabout social_net camp if migr_idp==1 using "${gsdOutput}/Raw_Fig18.xls", svy c(col lb ub) npos(col) append h1("Participation in Public Affairs") f(4) 

qui tabout social_net_leader hhh_gender if migr_idp == 1 using "${gsdOutput}/Raw_Fig18.xls", svy c(col lb ub) npos(col) append h1("Participation in Public Affairs") f(4) 
qui tabout social_net_leader quintiles if migr_idp == 1 using "${gsdOutput}/Raw_Fig18.xls", svy c(col lb ub) npos(col) append h1("Participation in Public Affairs") f(4)
qui tabout social_net_leader region using "${gsdOutput}/Raw_Fig18.xls", svy c(col lb ub) npos(col) append h1("Participation in Public Affairs") f(4)  
*qui tabout intremit_moreless p using "${gsdOutput}/Raw_Fig9.xls", svy c(col lb ub) npos(col) append h1("Remittance_change") f(4) 
qui tabout social_net_leader migr_idp using "${gsdOutput}/Raw_Fig18.xls", svy c(col lb ub) npos(col) append h1("Participation in Public Affairs") f(4) 
qui tabout social_net_leader camp if migr_idp==1 using "${gsdOutput}/Raw_Fig18.xls", svy c(col lb ub) npos(col) append h1("Participation in Public Affairs") f(4) 

*Social safety net
qui tabout C_4_17_social_saf_net hhh_gender if migr_idp == 1 using "${gsdOutput}/Raw_Fig18.xls", svy c(col lb ub) npos(col) append h1("Participation in Public Affairs") f(4) 
qui tabout C_4_17_social_saf_net quintiles if migr_idp == 1 using "${gsdOutput}/Raw_Fig18.xls", svy c(col lb ub) npos(col) append h1("Participation in Public Affairs") f(4)
qui tabout C_4_17_social_saf_net migr_idp using "${gsdOutput}/Raw_Fig18.xls", svy c(col lb ub) npos(col) append h1("Participation in Public Affairs") f(4) 
qui tabout C_4_17_social_saf_net camp if migr_idp==1 using "${gsdOutput}/Raw_Fig18.xls", svy c(col lb ub) npos(col) append h1("Participation in Public Affairs") f(4) 

qui tabout C_4_18_social_ease hhh_gender if migr_idp == 1 using "${gsdOutput}/Raw_Fig18.xls", svy c(col lb ub) npos(col) append h1("Participation in Public Affairs") f(4) 
qui tabout C_4_18_social_ease quintiles if migr_idp == 1 using "${gsdOutput}/Raw_Fig18.xls", svy c(col lb ub) npos(col) append h1("Participation in Public Affairs") f(4)
qui tabout C_4_18_social_ease migr_idp using "${gsdOutput}/Raw_Fig18.xls", svy c(col lb ub) npos(col) append h1("Participation in Public Affairs") f(4) 
qui tabout C_4_18_social_ease camp if migr_idp==1 using "${gsdOutput}/Raw_Fig18.xls", svy c(col lb ub) npos(col) append h1("Participation in Public Affairs") f(4) 

*Dispute resolve
qui tabout H_4_4_dispute_resolve migr_idp using "${gsdOutput}/Raw_Fig18.xls", svy c(col lb ub) npos(col) append h1("Participation in Public Affairs") f(4) 
qui tabout H_4_4_dispute_resolve camp if migr_idp==1 using "${gsdOutput}/Raw_Fig18.xls", svy c(col lb ub) npos(col) append h1("Participation in Public Affairs") f(4) 

qui tabout H_4_9_dispute_resolve_police migr_idp using "${gsdOutput}/Raw_Fig18.xls", svy c(col lb ub) npos(col) append h1("Participation in Public Affairs") f(4) 
qui tabout H_4_9_dispute_resolve_police camp if migr_idp==1 using "${gsdOutput}/Raw_Fig18.xls", svy c(col lb ub) npos(col) append h1("Participation in Public Affairs") f(4) 

foreach i of num 16/18{
	insheet using "${gsdOutput}/Raw_Fig`i'.xls", clear nonames
	export excel using "${gsdOutput}/Figures_NIG.xlsx", sheetreplace sheet("Raw_Fig`i'") 
	rm "${gsdOutput}/Raw_Fig`i'.xls"
}
