*This do file performs IDP labor analysis

*HHQ level statistics 
use "${gsdData}/1-CleanOutput/hhq.dta", clear
merge 1:1 region ea migr_idp hh using "${gsdData}/1-CleanTemp/hh_hhm.dta", keepusing(hhh_gender)

*Temporary host community weights:
*replace weight = 1 if migr_idp == 0

svyset ea [pw=weight], strata(migr_idp)
*Coding that needs to go into 1-1-Clean_hhm.do
*Recode variables for better graphing
recode C_5_1_lhood (3/5 = 1 "Agriculture") (1/2  = 5 "Wages and salaries") (6/7 = 2 "Manufacturing") (8/9 =3 "Retail") (10/11 = 4 "Services") (12 = 6 "Income from assets") (13/14 16 = 7 "Aid")  ( 15 =8 "Remittances") , gen(livelihood)
recode C_5_4_lhood_prev (3/5 = 1 "Agriculture") (1/2  = 5 "Wages and salaries") (6/7 = 2 "Manufacturing") (8/9 =3 "Retail") (10/11 = 4 "Services") (12 = 6 "Income from assets") (13/14 16 = 7 "Aid")  ( 15 =8 "Remittances") , gen(livelihood_prev)

*Dependency ratio
qui tabout hhh_gender if migr_idp == 1 using "${gsdOutput}/Raw_Fig15.xls", svy sum c(mean depend_share lb ub se) npos(col) replace h2("Dependency_ratio") f(4)
qui tabout quintiles  if migr_idp == 1 using "${gsdOutput}/Raw_Fig15.xls", svy sum c(mean depend_share lb ub se) npos(col) append h2("Dependency_ratio") f(4) 
qui tabout region if migr_idp == 1 using "${gsdOutput}/Raw_Fig15.xls", svy sum c(mean depend_share lb ub se) npos(col) append h2("Dependency_ratio") f(4) 
qui tabout migr_idp using "${gsdOutput}/Raw_Fig15.xls", svy sum c(mean depend_share lb ub se) npos(col) append h2("Dependency_ratio") f(4) 
qui tabout camp if migr_idp==1 using "${gsdOutput}/Raw_Fig15.xls", svy sum c(mean depend_share lb ub se) npos(col) append h2("Dependency_ratio") f(4) 

*Livelihood - current
qui tabout livelihood hhh_gender if migr_idp == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Livelihood") f(4) 
qui tabout livelihood quintiles if migr_idp == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Livelihood") f(4) 
qui tabout livelihood region using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Livelihood") f(4) 
qui tabout livelihood migr_idp using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Livelihood") f(4) 
qui tabout livelihood camp if migr_idp==1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Livelihood") f(4) 

*Livelihood-before displacement
qui tabout livelihood_prev hhh_gender if migr_idp == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Prev_Livelihood") f(4) 
qui tabout livelihood_prev quintiles if migr_idp == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Prev_Livelihood") f(4) 
qui tabout livelihood_prev region using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Prev_Livelihood") f(4) 
qui tabout livelihood_prev migr_idp using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Prev_Livelihood") f(4) 
qui tabout livelihood_prev camp if migr_idp==1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Prev_Livelihood") f(4) 

/*
*Employed share
qui tabout hhh_gender using "${gsdOutput}/Raw_Fig15.xls", svy sum c(mean empl_share_all lb ub se) npos(col) append h2("Employed_share") f(4)
qui tabout quintiles_idp using "${gsdOutput}/Raw_Fig15.xls", svy sum c(mean empl_share_all lb ub se) npos(col) append h2("Employed_share") f(4) 
qui tabout p using "${gsdOutput}/Raw_Fig15.xls", svy sum c(mean empl_share_all lb ub se) npos(col) append h2("Employed_share") f(4) 
qui tabout comparisonw4 using "${gsdOutput}/Raw_Fig15.xls", svy sum c(mean empl_share_all lb ub se) npos(col) append h2("Employed_share") f(4) 
qui tabout comparisonw3 using "${gsdOutput}/Raw_Fig15.xls", svy sum c(mean empl_share_all lb ub se) npos(col) append h2("Employed_share") f(4) 
*/
*HHM level statistics
use "${gsdData}/1-CleanOutput/hhm.dta", clear

merge m:1 region ea migr_idp hh using "${gsdData}/1-CleanTemp/hh_hhm.dta", assert(match using) keep(match) keepusing(hhh_gender) nogen
merge m:1 region ea migr_idp hh using "${gsdData}/1-CleanOutput/hhq.dta",  nogen keepusing(camp tc_imp quintiles_tc *lhood C_3_* C_3_9*)

*Temporary:
*replace weight = 1 if migr_idp == 0
*replace A_6_orig_c = 2 if A_6_orig_c == 3
*rename A_6_orig_c region

svyset ea [pw=weight], strata(migr_idp)

*Labor Force Pariticipation and Employment statistics:
qui tabout lfparticip B_2_1_hhm_gender if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls" , svy percent c(col se) npos(col) f(1) h1("Participation in Labor Force (last 7 days)") append
qui tabout lfparticip quintiles if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls" , svy percent c(col se) npos(col) f(1) h1("Participation in Labor Force (last 7 days) ") append
qui tabout lfparticip region if working_age == 1 using "${gsdOutput}/Raw_Fig15.xls"  , svy percent c(col se) npos(col) f(1) h1("Participation in Labor Force (last 7 days)") append
qui tabout lfparticip region if B_2_1_hhm_gender == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls"  , svy percent c(col se) npos(col) f(1) h1("Participation in Labor Force (last 7 days) - Men") append
qui tabout lfparticip region if B_2_1_hhm_gender == 2 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls"  , svy percent c(col se) npos(col) f(1) h1("Participation in Labor Force (last 7 days) - Women") append
qui tabout lfparticip migr_idp if working_age == 1 using "${gsdOutput}/Raw_Fig15.xls" , svy percent c(col se) npos(col) f(1) h1("Participation in Labor Force (last 7 days) ") append
qui tabout lfparticip camp if migr_idp==1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls" , svy percent c(col se) npos(col) f(1) h1("Participation in Labor Force (last 7 days) ") append

qui tabout laborchar_7d B_2_1_hhm_gender if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls"  , svy percent c(col se) npos(col) f(1) h1("Employment Status for those participating in labor force (last 7 days)") append
qui tabout laborchar_7d quintiles if migr_idp == 1  & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls"  , svy percent c(col se) npos(col) f(1) h1("Employment Status for those participating in labor force (last 7 days)") append
qui tabout laborchar_7d region if working_age == 1 using "${gsdOutput}/Raw_Fig15.xls"  , svy percent c(col se) npos(col) f(1) h1("Employment Status for those participating in labor force (last 7 days)") append
qui tabout laborchar_7d region if B_2_1_hhm_gender == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls" , svy percent c(col se) npos(col) f(1) h1("Employment Status for those participating in labor force (last 7 days)" - Men) append
qui tabout laborchar_7d region if B_2_1_hhm_gender == 2 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls"  , svy percent c(col se) npos(col) f(1) h1("Employment Status for those participating in labor force (last 7 days)" - Women) append
qui tabout laborchar_7d migr_idp if working_age == 1 using "${gsdOutput}/Raw_Fig15.xls"  , svy percent c(col se) npos(col) f(1) h1("Employment Status for those participating in labor force (last 7 days)") append
qui tabout laborchar_7d camp if migr_idp==1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls"  , svy percent c(col se) npos(col) f(1) h1("Employment Status for those participating in labor force (last 7 days)") append

qui tabout inactivechar_7d B_2_1_hhm_gender if migr_idp == 1 using "${gsdOutput}/Raw_Fig15.xls" , svy percent c(col se) npos(col) f(1) h1("Enrollment Status for those not participating in labor force (last 7 days)") append
qui tabout inactivechar_7d quintiles if migr_idp == 1 using "${gsdOutput}/Raw_Fig15.xls" , svy percent c(col se) npos(col) f(1) h1("Enrollment Status for those not participating in labor force (last 7 days)") append
qui tabout inactivechar_7d region using "${gsdOutput}/Raw_Fig15.xls"  , svy percent c(col se) npos(col) f(1) h1("Enrollment Status for those not participating in labor force (last 7 days)") append
qui tabout inactivechar_7d region if B_2_1_hhm_gender == 1 using "${gsdOutput}/Raw_Fig15.xls"  , svy percent c(col se) npos(col) f(1) h1("Enrollment Status for those not participating in labor force (last 7 days)" - Men) append
qui tabout inactivechar_7d region if B_2_1_hhm_gender == 2 using "${gsdOutput}/Raw_Fig15.xls"  , svy percent c(col se) npos(col) f(1) h1("Enrollment Status for those not participating in labor force (last 7 days)" - Women) append
qui tabout inactivechar_7d migr_idp using "${gsdOutput}/Raw_Fig15.xls"  , svy percent c(col se) npos(col) f(1) h1("Enrollment Status for those participating in labor force (last 7 days)") append
qui tabout inactivechar_7d camp if migr_idp==1 using "${gsdOutput}/Raw_Fig15.xls"  , svy percent c(col se) npos(col) f(1) h1("Enrollment Status for those participating in labor force (last 7 days)") append

*Percentage of employed surveyed population by country by primary activity currently and before displacement.
qui tabout B_7_1_emp_7d_prim B_2_1_hhm_gender if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Primary Employment Activity -  last 7 days") append
qui tabout B_7_1_emp_7d_prim quintiles if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Primary Employment Activity -  last 7 days") append
qui tabout B_7_1_emp_7d_prim region if working_age == 1  using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Primary Employment Activity -  last 7 days") append
qui tabout B_7_1_emp_7d_prim region if B_2_1_hhm_gender == 1 & working_age == 1  using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Primary Employment Activity -  last 7 days - Men") append
qui tabout B_7_1_emp_7d_prim region if B_2_1_hhm_gender == 2 & working_age == 1  using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Primary Employment Activity -  last 7 days - Women") append
qui tabout B_7_1_emp_7d_prim migr_idp if working_age == 1  using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Primary Employment Activity -  last 7 days") append
qui tabout B_7_1_emp_7d_prim camp if migr_idp==1 & working_age == 1  using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Primary Employment Activity -  last 7 days") append

qui tabout B_8_2_emp_prev B_2_1_hhm_gender if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Primary Employment Activity -  In country of origin") append
qui tabout B_8_2_emp_prev quintiles if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Primary Employment Activity - In country of origin") append
qui tabout B_8_2_emp_prev region if  working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Primary Employment Activity -  In country of origin") append
qui tabout B_8_2_emp_prev region if B_2_1_hhm_gender == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Primary Employment Activity -  In origin country - Men") append
qui tabout B_8_2_emp_prev region if B_2_1_hhm_gender == 2 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Primary Employment Activity -  In origin country - Women") append
qui tabout B_8_2_emp_prev migr_idp if working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Primary Employment Activity -  In origin country") append
qui tabout B_8_2_emp_prev camp if migr_idp==1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Primary Employment Activity -  In origin country") append

qui tabout emp_sector_5 B_2_1_hhm_gender if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Sector of Employment - Last 7 days") append
qui tabout emp_sector_5 quintiles if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Sector of Employment - Last 7 days") append
qui tabout emp_sector_5 region  if working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Sector of Employment - Last 7 days") append
qui tabout emp_sector_5 region if B_2_1_hhm_gender == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Sector of Employment - Last 7 days - Men") append
qui tabout emp_sector_5 region if B_2_1_hhm_gender == 2 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Sector of Employment - Last 7 days - Women") append
qui tabout emp_sector_5 migr_idp if working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Sector of Employment - Last 7 days") append
qui tabout emp_sector_5 camp if migr_idp==1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Sector of Employment - Last 7 days") append

qui tabout B_7_5_emp_7d_prim_isco B_2_1_hhm_gender if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Occupation - Last 7 days") append
qui tabout B_7_5_emp_7d_prim_isco quintiles if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Occupation - Last 7 days") append
qui tabout B_7_5_emp_7d_prim_isco region if working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Occupation - Last 7 days") append
qui tabout B_7_5_emp_7d_prim_isco region if B_2_1_hhm_gender == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Occupation - Last 7 days - Men") append
qui tabout B_7_5_emp_7d_prim_isco region if B_2_1_hhm_gender == 2 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Occupation - Last 7 days - Women") append
qui tabout B_7_5_emp_7d_prim_isco migr_idp if working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Occupation - Last 7 days") append
qui tabout B_7_5_emp_7d_prim_isco camp if migr_idp==1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Occupation - Last 7 days") append

qui tabout emp_sector_5_prev B_2_1_hhm_gender if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Sector of Employment - Country of Origin") append
qui tabout emp_sector_5_prev quintiles if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Sector of Employment - Country of Origin") append
qui tabout emp_sector_5_prev region if working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Sector of Employment - Country of Origin") append
qui tabout emp_sector_5_prev region if B_2_1_hhm_gender == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Sector of Employment - Country of Origin - Men") append
qui tabout emp_sector_5_prev region if B_2_1_hhm_gender == 2 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Sector of Employment - Country of Origin - Women") append
qui tabout emp_sector_5_prev migr_idp if working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Sector of Employment - Country of Origin") append
qui tabout emp_sector_5_prev camp if migr_idp==1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Sector of Employment - Country of Origin") append

*Months worked - current
qui tabout B_7_2_emp_7d_months B_2_1_hhm_gender if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Months") f(4) 
qui tabout B_7_2_emp_7d_months quintiles if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Months") f(4) 
qui tabout B_7_2_emp_7d_months region if working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Months") f(4) 
qui tabout B_7_2_emp_7d_months region if B_2_1_hhm_gender ==1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Months - Men") f(4) 
qui tabout B_7_2_emp_7d_months region if B_2_1_hhm_gender ==2 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Months - Women") f(4) 
qui tabout B_7_2_emp_7d_months migr_idp if working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Months") f(4) 
qui tabout B_7_2_emp_7d_months camp if migr_idp==1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Months") f(4) 

*Months worked - before Dec 13
qui tabout B_8_4_emp_prev_months B_2_1_hhm_gender if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Prev_Months") f(4) 
qui tabout B_8_4_emp_prev_months quintiles if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Prev_Months") f(4) 
qui tabout B_8_4_emp_prev_months region if working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Prev_Months") f(4) 
qui tabout B_8_4_emp_prev_months region if B_2_1_hhm_gender == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Prev_Months") f(4) 
qui tabout B_8_4_emp_prev_months region if B_2_1_hhm_gender == 2 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Prev_Months") f(4) 
qui tabout B_8_4_emp_prev_months migr_idp if working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Prev_Months") f(4) 
qui tabout B_8_4_emp_prev_months camp if migr_idp==1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Prev_Months") f(4) 

*Hours worked in last week - current
qui tabout B_2_1_hhm_gender if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy sum c(mean B_7_3_emp_7d_hours lb ub se) npos(col) append h2("Hours_perweek") f(4) 
qui tabout quintiles if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy sum c(mean B_7_3_emp_7d_hours lb ub se) npos(col) append h2("Hours_perweek") f(4) 
qui tabout region if working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy sum c(mean B_7_3_emp_7d_hours lb ub se) npos(col) append h2("Hours_perweek") f(4) 
qui tabout region if B_2_1_hhm_gender == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy sum c(mean B_7_3_emp_7d_hours lb ub se) npos(col) append h2("Hours_perweek - Men") f(4) 
qui tabout region if B_2_1_hhm_gender == 2 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy sum c(mean B_7_3_emp_7d_hours lb ub se) npos(col) append h2("Hours_perweek - Women") f(4) 
qui tabout migr_idp if working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy sum c(mean B_7_3_emp_7d_hours lb ub se) npos(col) append h2("Hours_perweek") f(4) 
qui tabout camp if migr_idp==1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy sum c(mean B_7_3_emp_7d_hours lb ub se) npos(col) append h2("Hours_perweek") f(4) 

*Hours worked per week - In country of origin
qui tabout B_2_1_hhm_gender if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy sum c(mean B_8_5_emp_prev_hours lb ub se)  append h2("Hours_perweek") f(4) 
qui tabout quintiles if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy sum c(mean B_8_5_emp_prev_hours lb ub se)  append h2("Hours_perweek") f(4) 
qui tabout region if working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy sum c(mean B_8_5_emp_prev_hours lb ub se)  append h2("Hours_perweek") f(4) 
qui tabout region if B_2_1_hhm_gender == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy sum c(mean B_8_5_emp_prev_hours lb ub se)  append h2("Hours_perweek - Men") f(4) 
qui tabout region [aw=weight] if B_2_1_hhm_gender == 2 using "${gsdOutput}/Raw_Fig15.xls", sum c(mean B_8_5_emp_prev_hours)  append h2("Hours_perweek - Women") f(4) 

*Earnings before and now 
qui tabout B_8_6_earning_prev B_2_1_hhm_gender if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Change in Earnings") f(4) 
qui tabout B_8_6_earning_prev quintiles if migr_idp == 1 & working_age == 1  using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Change in Earnings") f(4) 
qui tabout B_8_6_earning_prev region if working_age == 1  using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Change in Earnings") f(4) 
qui tabout B_8_6_earning_prev region if B_2_1_hhm_gender == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Change in Earnings - Men") f(4) 
qui tabout B_8_6_earning_prev region if B_2_1_hhm_gender == 2 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Change in Earnings - Women") f(4) 
qui tabout B_8_6_earning_prev migr_idp if working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Change in Earnings") f(4) 
qui tabout B_8_6_earning_prev camp if migr_idp==1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Change in Earnings") f(4) 

*Want to resume previous employment once displacement ends?
qui tabout B_8_11_resum_empl_want B_2_1_hhm_gender if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Want to resume employment") f(4) 
qui tabout B_8_11_resum_empl_want quintiles if migr_idp == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Want to resume employment") f(4) 
qui tabout B_8_11_resum_empl_want region if working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Want to resume employment") f(4) 
qui tabout B_8_11_resum_empl_want region if B_2_1_hhm_gender == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Want to resume employment - Men") f(4) 
qui tabout B_8_11_resum_empl_want region if B_2_1_hhm_gender == 2 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Want to resume employment - Women") f(4) 
qui tabout B_8_11_resum_empl_want migr_idp if working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Want to resume employment") f(4) 
qui tabout B_8_11_resum_empl_want camp if migr_idp==1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Want to resume employment") f(4) 

*Want to resume previous employment once displacement ends?
qui tabout B_8_12_resum_empl B_2_1_hhm_gender if migr_idp == 1 & working_age == 1  using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Want to resume employment") f(4) 
qui tabout B_8_12_resum_empl quintiles if migr_idp == 1 & working_age == 1  using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Want to resume employment") f(4) 
qui tabout B_8_12_resum_empl region if working_age == 1  using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Want to resume employment") f(4) 
qui tabout B_8_12_resum_empl region if B_2_1_hhm_gender == 1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Want to resume employment - Men") f(4) 
qui tabout B_8_12_resum_empl region if B_2_1_hhm_gender == 2 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Want to resume employment - Women") f(4) 
qui tabout B_8_12_resum_empl migr_idp if working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Want to resume employment") f(4) 
qui tabout B_8_12_resum_empl camp if migr_idp==1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Want to resume employment") f(4) 

*Reason for not being able to resume prev empl?
qui tabout B_8_13_resum_empl_r hhh_gender using "${gsdOutput}/Raw_Fig15.xls", svy c(col lb ub) npos(col) append h1("Reason why household member will not be able to resume past employment") f(4) 

*Reason for not being active in labor force
qui tabout reason_inactive migr_idp if working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Reasons for no job search") append
qui tabout reason_inactive camp if migr_idp==1 & working_age == 1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Reasons for no job search") append

*Table 12: Percentage of surveyed population in labor force but unemployed by major obstacles faced and support needed to secure jobs
qui tabout B_6_7_hhm_job_obs migr_idp using "${gsdOutput}/Raw_Fig15.xls" , svy percent c(col se) npos(col) f(1) h1("Main obstacle in Job Search") append
qui tabout B_6_7_hhm_job_obs camp if migr_idp==1 using "${gsdOutput}/Raw_Fig15.xls" , svy percent c(col se) npos(col) f(1) h1("Main obstacle in Job Search") append
qui tabout B_6_8_hhm_job_supp migr_idp using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Main support for employment") append
qui tabout B_6_8_hhm_job_supp camp if migr_idp==1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Main support for employment") append
qui tabout B_6_2_hhm_job_s_no migr_idp using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Main support for employment") append
qui tabout B_6_2_hhm_job_s_no camp if migr_idp==1 using "${gsdOutput}/Raw_Fig15.xls", svy percent c(col se) npos(col) f(1) h1("Main support for employment") append

*Current access to agricultural land:
qui tabout C_3_1_land_access_yn B_2_1_hhm_gender if migr_idp == 1 using "${gsdOutput}/Raw_Fig15.xls" , svy percent c(col se) npos(col) f(1) h1("Current access to agricultural land") append
qui tabout C_3_1_land_access_yn quintiles if migr_idp == 1 using "${gsdOutput}/Raw_Fig15.xls" , svy percent c(col se) npos(col) f(1) h1("Current access to agricultural land") append
qui tabout C_3_1_land_access_yn region using "${gsdOutput}/Raw_Fig15.xls" , svy percent c(col se) npos(col) f(1) h1("Current access to agricultural land") append
qui tabout C_3_1_land_access_yn migr_idp using "${gsdOutput}/Raw_Fig15.xls" , svy percent c(col se) npos(col) f(1) h1("Current access to agricultural land") append
qui tabout C_3_1_land_access_yn camp if migr_idp==1 using "${gsdOutput}/Raw_Fig15.xls" , svy percent c(col se) npos(col) f(1) h1("Current access to agricultural land") append

qui tabout C_3_9_land_access_yn_disp B_2_1_hhm_gender if migr_idp == 1 using "${gsdOutput}/Raw_Fig15.xls" , svy percent c(col se) npos(col) f(1) h1("Previous access to agricultural land") append
qui tabout C_3_9_land_access_yn_disp quintiles if migr_idp == 1 using "${gsdOutput}/Raw_Fig15.xls" , svy percent c(col se) npos(col) f(1) h1("Previous access to agricultural land") append
qui tabout C_3_9_land_access_yn_disp region using "${gsdOutput}/Raw_Fig15.xls" , svy percent c(col se) npos(col) f(1) h1("Previous access to agricultural land") append
qui tabout C_3_9_land_access_yn_disp migr_idp using "${gsdOutput}/Raw_Fig15.xls" , svy percent c(col se) npos(col) f(1) h1("Previous access to agricultural land") append
qui tabout C_3_9_land_access_yn_disp camp if migr_idp==1 using "${gsdOutput}/Raw_Fig15.xls" , svy percent c(col se) npos(col) f(1) h1("Previous access to agricultural land") append

*Agriculture land tenure status
qui tabout C_3_4_land_tenure migr_idp using "${gsdOutput}/Raw_Fig15.xls" , svy percent c(col se) npos(col) f(1) h1("Agricultural land tenure status") append
qui tabout C_3_4_land_tenure camp if migr_idp==1 using "${gsdOutput}/Raw_Fig15.xls" , svy percent c(col se) npos(col) f(1) h1("Agricultural land tenure status") append
qui tabout C_3_12_land_tenure_disp camp if migr_idp==1 using "${gsdOutput}/Raw_Fig15.xls" , svy percent c(col se) npos(col) f(1) h1("Agricultural land tenure status") append

*Place raw data into the excel figures file
foreach i of num 15/15{
	insheet using "${gsdOutput}/Raw_Fig`i'.xls", clear nonames
	export excel using "${gsdOutput}/Figures_NIG.xlsx", sheetreplace sheet("Raw_Fig`i'") 
	rm "${gsdOutput}/Raw_Fig`i'.xls"
}
